PrefabFiles = {
	"haruz","brass_lantern", "pigtorch_flame",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/haruz.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/haruz.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/haruz.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/haruz.xml" ),

    Asset( "IMAGE", "bigportraits/haruz.tex" ),
    Asset( "ATLAS", "bigportraits/haruz.xml" ),
	
	Asset( "IMAGE", "images/map_icons/haruz.tex" ),
	Asset( "ATLAS", "images/map_icons/haruz.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_haruz.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_haruz.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_haruz.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_haruz.xml" ),
	
	Asset("ATLAS", "images/inventoryimages/brass_lantern.xml"),

}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

-- The character select screen lines
STRINGS.CHARACTER_TITLES.haruz = "Cowardly Dog"
STRINGS.CHARACTER_NAMES.haruz = "Haruz"
STRINGS.CHARACTER_DESCRIPTIONS.haruz = "*Eat Meat Level-up! (max30)\n*Haruz Lantern(Can Refuel with log, grass).\n*Regen Health\n"
STRINGS.CHARACTER_QUOTES.haruz = "\"The only thing that I don't scared ..is Sollyz\""

-- Custom speech strings
STRINGS.CHARACTERS.haruz = require "speech_haruz"

-- The character's name as appears in-game 
STRINGS.NAMES.haruz = "haruz"

-- The default responses of examining the character
STRINGS.CHARACTERS.GENERIC.DESCRIBE.haruz = 
{
	GENERIC = "It's haruz!",
	ATTACKER = "That haruz looks shifty...",
	MURDERER = "Murderer!",
	REVIVER = "haruz, friend of ghosts.",
	GHOST = "haruz could use a heart.",
}

-- Let the game know character is male, female, or robot
table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "haruz")

GLOBAL.STRINGS.NAMES.BRASS_LANTERN = "Haruz Lantern"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.BRASS_LANTERN = "A gift from Sollyz."

AddMinimapAtlas("images/map_icons/haruz.xml")
AddModCharacter("haruz")

